import { axios } from '@/utils/request'

//  已购套餐 列表
export const listCustomerBundle = params => {
  const url = `customerBundle/queryLike/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios.request({
    url: url,
    data: params,
    method: 'post'
  }).then(res => res)
}
//  已购套餐 详情
export const customerBundleDetail = (params) => {
  return axios.request({
    url: `customerBundle/detail/${params.id}`,
    method: 'get'
  })
}

// 已购套餐   使用记录
export const customerBundleUseHistory = params => {
  const url = `customerBundle/useHistory/${params.id}`
  return axios.request({
    url: url,
    method: 'get'
  }).then(res => res)
}

export const customerBundleHistory = (params) => {
  return axios.request({
    url: `customerBundle/useHistory/${params.id}`,
    method: 'get'
  }).then(res => res.data)
}

// 取消购买套餐
export const cancelBuy = (params) => {
  return axios.request({
    url: `customerBundle/cancel/${params.id}`,
    method: 'get'
  }).then(res => res.data)
}

// 套餐列表
export const getBundleList = params => {
  const url = `bundle/query/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios.request({
    url: url,
    data: params,
    method: 'post'
  }).then(res => res)
}
// 套餐   详情
export const getBundleDetails = params => {
  const url = `bundle/${params.id}`
  return axios.request({
    url: url,
    data: params,
    method: 'get'
  }).then(res => res)
}
// 套餐  根据手机号查车牌号和客户信息
export const bundleFindByMobile = params => {
  const url = `customer/findByMobile/${params.mobile}`
  return axios.request({
    url: url,
    method: 'get'
  })
}
// 套餐  确认收款
export const bundleBuy = params => {
  return axios.request({
    url: `order/buy`,
    data: params,
    method: 'post'
  }).then(res => res)
}
// 导出
export const exportBundle = params => {
  const url = 'customerBundle/export'
  return axios({
    url: url,
    data: params,
    method: 'post',
    responseType: 'blob'
  })
}
//  已购套餐 合计
export const countListBundle = params => {
  return axios.request({
    url: `customerBundle/countList`,
    data: params,
    method: 'post'
  }).then(res => res)
}
//  已购套餐 套餐包含服务 延期
export const customerBundleItemDelay = params => {
  return axios.request({
    url: `customerBundleItem/delay`,
    data: params,
    method: 'post'
  }).then(res => res)
}

// 批量延期
export const allCustomerBundleItemDelay = params => {
  return axios.request({
    url: `customerBundleItem/batchDelay`,
    data: params,
    method: 'post'
  }).then(res => res)
}

//  已购套餐 取消购买
export const orderCancel = params => {
  return axios.request({
    url: `order/cancel/${params.id}`,
    data: params,
    method: 'get'
  }).then(res => res)
}
